{
  "version": 3,
  "pages404": true,
  "caseSensitive": false,
  "basePath": "",
  "redirects": [
    {
      "source": "/:path+/",
      "destination": "/:path+",
      "internal": true,
      "statusCode": 308,
      "regex": "^(?:/((?:[^/]+?)(?:/(?:[^/]+?))*))/$"
    }
  ],
  "headers": [],
  "dynamicRoutes": [
    {
      "page": "/agents/[id]",
      "regex": "^/agents/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/agents/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/customers/[id]",
      "regex": "^/customers/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/customers/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/devices/[id]",
      "regex": "^/devices/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/devices/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/loans/[id]",
      "regex": "^/loans/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/loans/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/super-agents/[id]",
      "regex": "^/super\\-agents/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/super\\-agents/(?<nxtPid>[^/]+?)(?:/)?$"
    }
  ],
  "staticRoutes": [
    {
      "page": "/",
      "regex": "^/(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/(?:/)?$"
    },
    {
      "page": "/_not-found",
      "regex": "^/_not\\-found(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/_not\\-found(?:/)?$"
    },
    {
      "page": "/admin/roles",
      "regex": "^/admin/roles(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/roles(?:/)?$"
    },
    {
      "page": "/admin/settings",
      "regex": "^/admin/settings(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/settings(?:/)?$"
    },
    {
      "page": "/admin/withdrawal-requests",
      "regex": "^/admin/withdrawal\\-requests(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/admin/withdrawal\\-requests(?:/)?$"
    },
    {
      "page": "/agents",
      "regex": "^/agents(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/agents(?:/)?$"
    },
    {
      "page": "/commissions",
      "regex": "^/commissions(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/commissions(?:/)?$"
    },
    {
      "page": "/customers",
      "regex": "^/customers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/customers(?:/)?$"
    },
    {
      "page": "/dashboard",
      "regex": "^/dashboard(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/dashboard(?:/)?$"
    },
    {
      "page": "/deals",
      "regex": "^/deals(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/deals(?:/)?$"
    },
    {
      "page": "/devices",
      "regex": "^/devices(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/devices(?:/)?$"
    },
    {
      "page": "/forgot-password",
      "regex": "^/forgot\\-password(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/forgot\\-password(?:/)?$"
    },
    {
      "page": "/inventory",
      "regex": "^/inventory(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory(?:/)?$"
    },
    {
      "page": "/loans",
      "regex": "^/loans(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/loans(?:/)?$"
    },
    {
      "page": "/login",
      "regex": "^/login(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/login(?:/)?$"
    },
    {
      "page": "/payments",
      "regex": "^/payments(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/payments(?:/)?$"
    },
    {
      "page": "/payments/status",
      "regex": "^/payments/status(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/payments/status(?:/)?$"
    }
  ],
  "dataRoutes": [],
  "rsc": {
    "header": "RSC",
    "varyHeader": "RSC, Next-Router-State-Tree, Next-Router-Prefetch, Next-Router-Segment-Prefetch",
    "prefetchHeader": "Next-Router-Prefetch",
    "didPostponeHeader": "x-nextjs-postponed",
    "contentTypeHeader": "text/x-component",
    "suffix": ".rsc",
    "prefetchSuffix": ".prefetch.rsc",
    "prefetchSegmentHeader": "Next-Router-Segment-Prefetch",
    "prefetchSegmentSuffix": ".segment.rsc",
    "prefetchSegmentDirSuffix": ".segments"
  },
  "rewriteHeaders": {
    "pathHeader": "x-nextjs-rewritten-path",
    "queryHeader": "x-nextjs-rewritten-query"
  },
  "rewrites": []
}